cumulative.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Test::Int::Cumulative::ManFixPCumulative
| Test for cumulative constraint with mandatory tasks. More...
class | Test::Int::Cumulative::OptFixPCumulative
| Test for cumulative constraint with optional tasks. More...
class | Test::Int::Cumulative::ManFlexCumulative
| Test for cumulative constraint with flexible mandatory tasks. More...
class | Test::Int::Cumulative::OptFlexCumulative
| Test for cumulative constraint with optional flexible tasks. More...
class | Test::Int::Cumulative::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Cumulative
| Tests for cumulative scheduling constraints.

## Variables

Create | Test::Int::Cumulative::c